Package org.linphone.mediastream

# Class AACFilter

java.lang.Object
org.linphone.mediastream.AACFilter

public class AACFilter extends Object

## Constructor Summary

Constructors
Constructor
Description
`AACFilter()`

## Method Summary

Modifier and Type
Method
Description
`static AACFilter`
`instance()`
`boolean`
`postprocess()`
`boolean`
`preprocess(int sampleRate, int channelCount, int bitrate, boolean sbr_enabled)`
`int`
`pullFromDecoder(byte[] b)`
`int`
`pullFromEncoder(byte[] b)`
`boolean`
`pushToDecoder(byte[] data, int size)`
`boolean`
`pushToEncoder(byte[] data, int size)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AACFilter

public AACFilter()

## Method Details

### instance

public static AACFilter instance()

### preprocess

public boolean preprocess(int sampleRate, int channelCount, int bitrate, boolean sbr_enabled)

### pushToDecoder

public boolean pushToDecoder(byte[] data, int size)

### pullFromDecoder

public int pullFromDecoder(byte[] b)

### pushToEncoder

public boolean pushToEncoder(byte[] data, int size)

### pullFromEncoder

public int pullFromEncoder(byte[] b)

### postprocess

public boolean postprocess()